MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032155Open CASCADE[OCCT] OCCT:Testspublic2021-02-22 18:382021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032155: Tests - remove broken command OCC280
DescriptionSeveral test cases are failing when using EGL:
> testgrid bugs v3d bug280_2,bug280_3,bug349,bug349_1

The reason is OCC280 command performing an invalid operation - it sets existing windows to another View:
An exception was caught 0x27da930 : Aspect_GraphicDeviceDefinitionError: OpenGl_Window, EGL is unable 
to create surface for window!
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028098newkgv Open CASCADE Visualization - errors in tests when using OpenGL ES (ANGLE) 

-  Notes
(0099097)
git (administrator)
2021-02-22 18:40

Branch CR32155 has been created by kgv.

SHA-1: 4398ad17ce33fdd33b7133b245e5c3a4430bc3aa


Detailed log of new commits:

Author: kgv
Date: Mon Feb 22 18:40:02 2021 +0300

    0032155: Tests - remove broken command OCC280
    
    Command OCC280 and a couple of useless tests have been removed.
    Test case bug349 has been updated to reproduce scenario using standard commands.
(0099098)
kgv (developer)
2021-02-22 20:02

Patch is ready for review
- OCCT: branch CR32155.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32155-master-KGV-DESK/ [^]
http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32155-master-KGV-GLES/ [^]
(0099107)
osa (developer)
2021-02-24 12:18

The patch was reviewed
(0099199)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099213)
git (administrator)
2021-02-27 12:26

Branch CR32155 has been deleted by inv.

SHA-1: 4398ad17ce33fdd33b7133b245e5c3a4430bc3aa

- Related Changesets
occt: master 79d49683
Timestamp: 2021-02-22 15:40:02
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032155: Tests - remove broken command OCC280

Command OCC280 and a couple of useless tests have been removed.
Test case bug349 has been updated to reproduce scenario using standard commands.
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
rm - tests/bugs/vis/bug280_2 Diff ] File ]
rm - tests/bugs/vis/bug280_3 Diff ] File ]
mod - tests/bugs/vis/bug349 Diff ] File ]
rm - tests/bugs/vis/bug349_1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-22 18:38 kgv New Issue
2021-02-22 18:38 kgv Assigned To => kgv
2021-02-22 18:38 kgv Relationship added child of 0000280
2021-02-22 18:38 kgv Relationship added child of 0028098
2021-02-22 18:40 git Note Added: 0099097
2021-02-22 20:02 kgv Note Added: 0099098
2021-02-22 20:02 kgv Assigned To kgv => osa
2021-02-22 20:02 kgv Status new => resolved
2021-02-24 12:18 osa Note Added: 0099107
2021-02-24 12:18 osa Assigned To osa => bugmaster
2021-02-24 12:18 osa Status resolved => reviewed
2021-02-27 11:49 bugmaster Note Added: 0099199
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:53 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 79d49683
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099213


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker